Contactez nous

Problème dépôt

Question about WAPT Server / Requêtes et aides autour du serveur Wapt
Règles du forum

* Questions can be asked in English or in French. If the thread is started in English, stick to English, if it is started in French, stick to French.
* Vous pouvez poser vos questions en Français ou en Anglais. Si un sujet est commencé en français, merci de répondre en français. Si un sujet est commencé en anglais, merci de répondre en anglais.

Bonjour,

- Version de WAPT installée (1.5)
- OS du serveur (Windows)
- OS de la machine d'administration/création des paquets (Windows 10)

J'utilise comme Dépôt WAPT : Les Fourmis Du Web

Sur FireFox : Impossible de voir les packets disponible sur mon dépôt
Sur Zip : Impossible de voir le packet x86

Pour 7zip j'ai du prendre celui du dépôt Tranquil IT du coup

Bref une idée du pourquoi du comment ???

(Pas d'erreur lors de l'import du dépôt)
(Pas de soucis avec les autres softs)

Cordialement,

Fichiers joints

Re,

Testé sur un autre poste "tout neuf", le client voit bien les différents logiciels.

Ca viendrait d'une erreur / problème sur un poste client.

Je vais creuser le problème
vince86 a écrit :
11 juin 2018, 17:23
Bonjour,

- Version de WAPT installée (1.5)
- OS du serveur (Windows)
- OS de la machine d'administration/création des paquets (Windows 10)

J'utilise comme Dépôt WAPT : Les Fourmis Du Web

Sur FireFox : Impossible de voir les packets disponible sur mon dépôt
Pour firefox on a ajouté la local "fr" c'est peu être ça on a déjà eu le cas.

Dans l'inventaire materiel des machine pour l'entré local pouvez me dire si la valeur est bien a 040c ?
vince86 a écrit :
11 juin 2018, 17:23
Sur Zip : Impossible de voir le packet x86
Si vous êtes sur une machine x64 C'est normal.

Une machine x64 ne voit que les paquets all et x64
Une machine x86 ne voit que les paquets all et x86
Bonjour,

Oui c'est bien 040c sauf pour une machine qui est en 0409
vince86 a écrit :
12 juin 2018, 07:49
Bonjour,

Oui c'est bien 040c sauf pour une machine qui est en 0409
Pour 0409 :
https://www.autoitscript.fr/autoit3/doc ... gCodes.htm

Dans le doute vous pouvez installer:

https://wapt.tranquil.it/?sort=popular& ... -fr-locale

Qui force la langue française pour l'agent wapt (redémarrer le service wapt pour être certain que les paramètres sont bien pris en compte)
Je reviens sur ce thread car je soupçonne quand même un problème "serveur" :

Quand je veux Importer depuis la console les nouveaux paquets x64 de FireFox-esr ou de Chrome : il prend le paquet x86...

Dans Dépot privé -> Importer depuis internet
Dépot : Les fourmis

Je sélectionne le Package :
smp-firefox-esr version 60.1.0-2 Arch x64
Je clique sur Télécharger et éditer
Je tombe sur le fichier de control :
package : isaac-firefox-esr
version : 60.1.0-3
architecture : x86
section : base
priority : optional
maintainer : Simon Fonteneau

Je ferme PyScripter je supprime le repertoire "smp-firefox-esr_60.1.0-2_x86_fr-wapt" de mon repertoire waptdev
Je recommence la manip :
Dans les log : INFO:root:Unzipping package C:\Users\adm.v.colas\AppData\Local\waptconsole\cache\smp-firefox-esr_60.1.0-2_x86_fr.wapt to directory c:\waptdev\smp-firefox-esr_60.1.0-2_x86_fr-wapt

Mon PC est sous windows 10 Pro x64 Version 1703
Il faut tenter avec la version 1.6.0.4 :

https://wapt.tranquil.it/wapt/nightly/w ... -fab3d82b/
Bonjour,

J’exécute en administrateur sur le serveur sous windows 2016 le programme waptserversetup et il ne se passe rien.
Je télécharge waptserversetup du lastest, quand je l’exécute j'ai la boite de dialogue qui me demande la langue.
Bonjour,

Retour sur le fonctionnement :

L'import depuis Internet de la version firefox 52.9.0 se télécharge bien en version x64 (mais impossible d'importer la version x86 il prend toujours la version x64)
Si je l'import (la version firefox-esr_52.9.0-2_x86 depuis un fichier j'ai l'erreur :
File "C:\Program Files (x86)\wapt\waptdevutils.py", line 280, in duplicate_from_file
source_package = PackageEntry(waptfile = package_filename)
File "C:\Program Files (x86)\wapt\waptpackage.py", line 423, in __init__
raise EWaptBadControl(u'Package filename or directory %s does not exist' % waptfile)
waptpackage.EWaptBadControl: <exception str() failed>
UnicodeEncodeError: 'ascii' codec can't encode characters in position 34-35: ordinal not in range(128)

Quand j'essai d'importer la version 60.1.0 en x64 c'est l'inverse, il me prend que la version x86 :
Done Uploading c:\users\admv~1.col\appdata\local\temp\isaac-firefox-esr_60.1.0-3_x86_fr.wapt

Si je télécharge la version 60.1.0-2 en x64 depuis le dépot et je l'importe depuis un fichier :
File "C:\Program Files (x86)\wapt\waptdevutils.py", line 280, in duplicate_from_file
source_package = PackageEntry(waptfile = package_filename)
File "C:\Program Files (x86)\wapt\waptpackage.py", line 423, in __init__
raise EWaptBadControl(u'Package filename or directory %s does not exist' % waptfile)
waptpackage.EWaptBadControl: <exception str() failed>

Pour résumer :
OK pour la version 52.9.0 en x64 impossible d'avoir la version x86
inversement :
OK pour la version 60.1.0 en x86 impossible d'avoir la version x64
Re, Bonjour,

Du coup j'ai le problème sur tous les nouveaux paquets, c'est très problématique...

Je veux mettre à jour notepadplusplus (Version 7.5.7-2), du dépôt les fourmis (importer d'internet).
Je vois bien la version x86 et x64 de disponible.
Je sélectionne les 2 Package et clique sur importer.
Seul le version x64 est importé.
Je sélectionne la version x86 et clique sur importer, il m'importe la version x64.
Done Uploading c:\users\admv~1.col\appdata\local\temp\isaac-notepadplusplus_7.5.7-2_x64.wapt
WARNING:root:Target package already exists, removing c:\users\admv~1.col\appdata\local\temp\isaac-notepadplusplus_7.5.7-2_x64.wapt

Je télécharge du dépot la version x86 e je l'importe via Importer depuis un fichier j'ai l'erreur :
File "C:\Program Files (x86)\wapt\waptdevutils.py", line 280, in duplicate_from_file
source_package = PackageEntry(waptfile = package_filename)
File "C:\Program Files (x86)\wapt\waptpackage.py", line 423, in __init__
raise EWaptBadControl(u'Package filename or directory %s does not exist' % waptfile)
waptpackage.EWaptBadControl: <exception str() failed>
UnicodeEncodeError: 'ascii' codec can't encode characters in position 34-35: ordinal not in range(128)

Une idée ?